

# DescribeAuthorizer
<a name="API_DescribeAuthorizer"></a>

Describes an authorizer.

Requires permission to access the [DescribeAuthorizer](https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax
<a name="API_DescribeAuthorizer_RequestSyntax"></a>

```
GET /authorizer/authorizerName HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeAuthorizer_RequestParameters"></a>

The request uses the following URI parameters.

 ** [authorizerName](#API_DescribeAuthorizer_RequestSyntax) **   <a name="iot-DescribeAuthorizer-request-uri-authorizerName"></a>
The name of the authorizer to describe.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `[\w=,@-]+`   
Required: Yes

## Request Body
<a name="API_DescribeAuthorizer_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeAuthorizer_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "authorizerDescription": { 
      "authorizerArn": "string",
      "authorizerFunctionArn": "string",
      "authorizerName": "string",
      "creationDate": number,
      "enableCachingForHttp": boolean,
      "lastModifiedDate": number,
      "signingDisabled": boolean,
      "status": "string",
      "tokenKeyName": "string",
      "tokenSigningPublicKeys": { 
         "string" : "string" 
      }
   }
}
```

## Response Elements
<a name="API_DescribeAuthorizer_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [authorizerDescription](#API_DescribeAuthorizer_ResponseSyntax) **   <a name="iot-DescribeAuthorizer-response-authorizerDescription"></a>
The authorizer description.  
Type: [AuthorizerDescription](API_AuthorizerDescription.md) object

## Errors
<a name="API_DescribeAuthorizer_Errors"></a>

 ** InternalFailureException **   
An unexpected error has occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request is not valid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** message **   
The message for the exception.
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The service is temporarily unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** UnauthorizedException **   
You are not authorized to perform this operation.    
 ** message **   
The message for the exception.
HTTP Status Code: 401

## See Also
<a name="API_DescribeAuthorizer_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/iot-2015-05-28/DescribeAuthorizer) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/iot-2015-05-28/DescribeAuthorizer) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/iot-2015-05-28/DescribeAuthorizer) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/iot-2015-05-28/DescribeAuthorizer) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/iot-2015-05-28/DescribeAuthorizer) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/iot-2015-05-28/DescribeAuthorizer) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/iot-2015-05-28/DescribeAuthorizer) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/iot-2015-05-28/DescribeAuthorizer) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/iot-2015-05-28/DescribeAuthorizer) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/iot-2015-05-28/DescribeAuthorizer) 